# platform = multi_platform_all
# reboot = false
# strategy = enable
# complexity = low
# disruption = low

- (xccdf-var var_network_filtering_service)


- name: Enable service ufw
  block:
  - name: Gather the package facts
    ansible.builtin.package_facts:
      manager: auto
  - name: Enable service ufw
    ansible.builtin.systemd:
      name: "ufw"
      enabled: "yes"
      state: "started"
      masked: "no"
    when:
    - '"ufw" in ansible_facts.packages'
    - var_network_filtering_service == "ufw"

    - var_network_filtering_service == "ufw"
